import {
  getBeLikeList
} from '~/api/message'
import event from '~/mixins/event'
import reachBottom from '~/mixins/reachBottom'
Page({
  behaviors: [reachBottom,event],
  data: {},
  onShow(options) {
    this.resetData()
  },
  loadMore() {
    this.getData(getBeLikeList, {
      pageSize: 20
    })
  },
  jumpUserInfo({
    currentTarget
  }) {
    wx.navigateTo({
      url: `/pages/personal/index?uid=${currentTarget.dataset.uid}&type=user`,
    })
  },
  jumpWork({
    currentTarget
  }) {
    let {
      id,
      likelog
    } = currentTarget.dataset
    wx.navigateTo({
      url: `/pages/userWorks/index?id=${id}&onceId=${likelog}&type=like`,
    })
  },
})